<?php

/**
 * @file
 * Contains \Drupal\drowl_layouts\Form\DrowlLayoutsSettingsForm.
 */

namespace Drupal\drowl_layouts\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Administration settings form.
 */
class DrowlLayoutsSettingsForm extends ConfigFormBase
{

  /**
   * {@inheritdoc}
   */
  public function getFormID()
  {
    return 'drowl_layouts_settings';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames()
  {
    return [];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state)
  {
    $config = $this->config('drowl_layouts.settings');
    $settings = $config->get();

    $form['defaults'] = [
      '#type' => 'details',
      '#attributes' => [
        'id' => 'drowl-layouts-erl-settings-wrapper',
      ],
      '#title' => $this->t('Entity reference layout'),
      '#description' => $this->t('Default settings for DROWL layouts.'),
    ];

    // $form['defaults']['classes'] = [
    //   '#type' => 'textfield',
    //   '#size' => 255,
    //   '#title' => $this->t('CSS file path'),
    //   '#description' => $this->t('CSS file path for ERL style additions (loaded in the node form)'),
    //   '#default_value' => !empty( $settings['entity_reference_layout']['erl_style_additionscss_css_path']) ? $settings['entity_reference_layout']['erl_style_additionscss_css_path'] : '',
    // ];

    $form['#tree'] = TRUE;
    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function validateForm(array &$form, FormStateInterface $form_state)
  {
    parent::validateForm($form, $form_state);
  }

}
