<?php

namespace Drupal\drowl_layouts\Plugin\Layout;

use Drupal\Core\Plugin\PluginFormInterface;
use Drupal\drowl_layouts\Plugin\Layout\DrowlLayoutsMultiWidthLayoutBase;

/**
 * Configurable two column layout plugin class.
 *
 * @internal
 *   Plugin classes are internal.
 */
class DrowlLayoutsTwoColumnLayout extends DrowlLayoutsMultiWidthLayoutBase implements PluginFormInterface {

  /**
   * Returns the number of columns in this layout.
   *
   * @var int
   */
  protected $columnCount = 2;

  /**
   * {@inheritdoc}
   */
  public function getColumnCount(){
    return $this->columnCount;
  }

  /**
   * {@inheritdoc}
   */
  protected function getWidthOptions() {
    return [
      '50-50' => '50%/50%',
      '66-33' => '66%/33%',
      '33-66' => '33%/66%',
    ];
  }
}
